--if arg[#arg] == "-debug" then require("mobdebug").start() end

require("collide")
require("text")
require("menu")
require("reload")
require("tron")

ziel=3
sl=200

mx=0
my=0

schuss = { }
strahl = { }
tron = { }
pict = { }

trone={}

sl=25
status="normal"
statustime=0
modus="menu"
turbosound=0

function love.load()

	fontfett = love.graphics.newFont("fonts/ocra.ttf",32)
	font = love.graphics.newFont("fonts/ocra.ttf")
	fonttext = love.graphics.newFont("fonts/ocra.ttf",48)
	fonthelp = love.graphics.newFont("fonts/impact.ttf",40)
	love.graphics.setFont(font)
	
	pict["live"] = love.graphics.newImage("texture/live.png")
	pict["shot"] = love.graphics.newImage("texture/shot.png")
	pict["turbo"] = love.graphics.newImage("texture/turbo.png")
	
	pict["tron"] = love.graphics.newImage("texture/tron1.png")
	pict["str"] = love.graphics.newImage("texture/str1.png")
	pict["bumm"] = love.graphics.newImage("texture/str_s_1.png")
	
	laser = love.audio.newSource("sounds/laser.ogg","static")
	turbo = love.audio.newSource("sounds/turbo.ogg","static")
	explosion = love.audio.newSource("sounds/explosion.ogg","static")
	
	pict["tron1"] = collide.newImage("texture/tron1.png")
	pict["tron2"] = collide.newImage("texture/tron2.png")
	pict["tron3"] = collide.newImage("texture/tron3.png")
	pict["tron4"] = collide.newImage("texture/tron4.png")

	pict["shot1"] = collide.newImage("texture/shot1.png")
	pict["shot2"] = collide.newImage("texture/shot2.png")
	pict["shot3"] = collide.newImage("texture/shot3.png")
	pict["shot4"] = collide.newImage("texture/shot4.png")
	
	pict["str1"] = collide.newImage("texture/str1.png")
	pict["str2"] = collide.newImage("texture/str2.png")
	pict["str3"] = collide.newImage("texture/str3.png")
	pict["str4"] = collide.newImage("texture/str4.png")
	
	pict["str_s_1"] = collide.newImage("texture/str_s_1.png")
	pict["str_s_2"] = collide.newImage("texture/str_s_2.png")
	pict["str_s_3"] = collide.newImage("texture/str_s_3.png")
	pict["str_s_4"] = collide.newImage("texture/str_s_4.png")
	
	a = { }
	a.a="tron"
	a.time=1000
	a.x=math.random(100,400)
	a.y=math.random(100,400)
	a.rot=0
	a.richtung=0
	a.strahl=0
	trone[#trone+1] = a
	
	MakeThe4Trons()
	
	love.graphics.setIcon(love.graphics.newImage("texture/icon.png"))
	
end

function love.draw(dt)

	if modus=="menu" then
		menu()
	end
	if modus=="help" then
		help()
	end
	if modus=="level" then
		level()
	end
	if modus=="sieger" then
		sieger()
	end
	if modus=="credits" then
		credits()
	end
	
	if modus=="game" then
		for d,s in ipairs(strahl) do
			local sichtbar=s.time/s.maxtime*255+50
			if sichtbar>255 then sichtbar=255 end
			love.graphics.setColor(255,255,255,sichtbar)
			s:draw()
			love.graphics.setColor(255,255,255,255)
		end
		for d,s in ipairs(schuss) do
			s:draw()
		end
		tron_draw()
		stateen()
	end
	
end

function love.keypressed(key)
	if key and modus=="level" then modus="game" end
	if key=="escape" and modus=="help" then modus="menu" end
	if key=="escape" and modus=="credits" then modus="menu" end
	if key and modus=="sieger" then modus="menu" punkte1=0 punkte2=0 punkte3=0 punkte4=0 end
end

function love.mousepressed(x,y,button)
	menu_mousepressed(x,y,button)
end

function love.update(dt)

	mx,my = love.mouse.getPosition()
	
	statustime=statustime-1
	if statustime<0 then
		status="game"
	end
	if statustime==10 then respawn() end
	
	if modus=="game" and status=="game" then
		for d=#schuss,1,-1 do
			s=schuss[d]
			s.x=s.x+math.sin(s.rot)*12
			s.y=s.y-math.cos(s.rot)*12
			s:moveTo(s.x,s.y)
			s:setRotation(s.rot)
			s.time=s.time-1
			makeStrahlofShot(s.team,s.x,s.y,s.rot)
			for i,v in ipairs(tron) do
				if v.mode~=" " and v.mode~="tot" and s.team~=v.team and v:collidesWith(s) then
					v.live=v.live-math.random(50,120)
					s.time=-100
				end
			end
			if s.time<0 or s.team=="tot" or s.x>1250 or s.x<-50 or s.y>850 or s.y<-50 then
				table.remove(schuss,d)
			end
			s:moveTo(s.x,s.y)
			s:setRotation(s.rot)
		end
		
		tron_move()
		
		for d=#strahl,1,-1 do
			s=strahl[d]
			s.time=s.time-1
			for i,v in ipairs(schuss) do
				if s.team~=v.team and s.x>v.x-100 and s.x<v.x+100 and s.y>v.y-100 and s.y<v.y+100 and s:collidesWith(v) then
					s.team="tot"
					v.team="tot"
				end
			end
			for i,v in ipairs(tron) do
				if v.mode~=" " and v.mode~="tot" and v.team~=s.team and v:collidesWith(s) then
					s.team="tot"
					local damage=math.floor((s.time+50)/(s.maxtime/2)*4)
					if damage<5 then damage=5 end
					v.live=v.live-damage
				end
			end
			if s.time<0 or s.team=="tot" then
				table.remove(strahl,d)
			end
			s:moveTo(s.x,s.y)
			s:setRotation(s.rot)
		end
		
		local r=math.random(1,50)
		if r==1 then sl=sl+1 end
	end
	
	for d,s in ipairs(tron) do
		if modus=="level" or statustime==10 then
			if s.modenumber==0 then s.mode=" " end
			if s.modenumber==1 then s.mode="player1" end
			if s.modenumber==2 then s.mode="player2" end
			if s.modenumber==3 then s.mode="stupid" end
			if s.modenumber==4 then s.mode="easy" end
			if s.modenumber==5 then s.mode="medium" end
			if s.modenumber==6 then s.mode="heavy" end
			if s.modenumber==7 then s.mode="nightmare" end
		end
		if modus=="game" then
			if statustime<0 and s.points>=ziel and s.mode~="tot" then modus="sieger" end
		end
	end
	tot()
	
	for d,s in ipairs(schuss) do
		s:moveTo(s.x,s.y)
	end
	for d,s in ipairs(strahl) do
		s:moveTo(s.x,s.y)
	end
	for d,s in ipairs(tron) do
		s:moveTo(s.x,s.y)
	end

end