function MakeThe4Trons()
	a = pict["tron1"]
	a.mode="easy"
	a.modenumber=1
	a.points=0
	a.x=600
	a.y=100
	a.rot= math.atan2(100-400,600-600)-math.pi/2
	a.gasgeben=0
	a.shot=30
	a.turbo=30
	a.live=90
	a.nl=0
	a.makeneon=0
	a.team="orange"
	a.richtung=1
	tron[#tron+1] = a
	
	a = pict["tron2"]
	a.mode="easy"
	a.modenumber=4
	a.points=0
	a.x=600
	a.y=700
	a.rot= math.atan2(700-400,600-600)-math.pi/2
	a.gasgeben=0
	a.shot=30
	a.turbo=30
	a.live=90
	a.nl=0
	a.makeneon=0
	a.team="blue"
	a.richtung=1
	tron[#tron+1] = a
	
	a = pict["tron3"]
	a.mode="easy"
	a.modenumber=4
	a.points=0
	a.x=100
	a.y=400
	a.rot= math.atan2(400-400,100-600)-math.pi/2
	a.gasgeben=0
	a.shot=30
	a.turbo=30
	a.live=90
	a.nl=0
	a.makeneon=0
	a.team="green"
	a.richtung=1
	tron[#tron+1] = a
	
	a = pict["tron4"]
	a.mode="easy"
	a.modenumber=0
	a.points=0
	a.x=1000
	a.y=400
	a.rot= math.atan2(400-400,1000-600)-math.pi/2
	a.gasgeben=0
	a.shot=30
	a.turbo=30
	a.live=90
	a.nl=0
	a.makeneon=0
	a.team="yellow"
	a.richtung=1
	tron[#tron+1] = a
end

function tron_draw()
	for d,s in ipairs(tron) do
		if s.mode~=" " and s.mode~="tot" then
			love.graphics.setColor(255,255,255)
			s:draw()
			if s.team=="orange" then
				love.graphics.setColor(255,255,255)
				for x=1,math.floor(s.live/3) do
					love.graphics.draw(pict["live"],x*5,8-3)
				end
				for x=1,s.shot do
					love.graphics.draw(pict["shot"],x*5,8+25-3)
				end
				for x=1,s.turbo do
					love.graphics.draw(pict["turbo"],x*5,8+50-3)
				end
				font_elite(3,s.team,5,60,3.5,255,180,0)
				font_elite(3,s.points.." P.",5,60+35,3.5,255,180,0)
			end
			if s.team=="blue" then
				love.graphics.setColor(255,255,255)
				for x=1,math.floor(s.live/3) do
					love.graphics.draw(pict["live"],1200-x*5-3,8-3)
				end
				for x=1,s.shot do
					love.graphics.draw(pict["shot"],1200-x*5-3,8+25-3)
				end
				for x=1,s.turbo do
					love.graphics.draw(pict["turbo"],1200-x*5-3,8+50-3)
				end
				font_elite(3,s.team,1046,60,3.5,0,0,255)
				font_elite(3,s.points.." P.",1046,60+35,3.5,0,0,200)
			end
			if s.team=="green" then
				love.graphics.setColor(255,255,255)
				for x=1,math.floor(s.live/3) do
					love.graphics.draw(pict["live"],x*5,725-3)
				end
				for x=1,s.shot do
					love.graphics.draw(pict["shot"],x*5,750-3)
				end
				for x=1,s.turbo do
					love.graphics.draw(pict["turbo"],x*5,775-3)
				end
				font_elite(3,s.team,5,662,3.5,0,200,0)
				font_elite(3,s.points.." P.",5,665-35,3.5,0,200,0)
			end
			if s.team=="yellow" then
				love.graphics.setColor(255,255,255)
				for x=1,math.floor(s.live/3) do
					love.graphics.draw(pict["live"],1200-x*5-3,725)
				end
				for x=1,s.shot do
					love.graphics.draw(pict["shot"],1200-x*5-3,750)
				end
				for x=1,s.turbo do
					love.graphics.draw(pict["turbo"],1200-x*5-3,775)
				end
				font_elite(3,s.team,1046,662,3.5,255,255,0)
				font_elite(3,s.points.." P.",1046,662-35,3.5,255,255,0)
			end
		end
	end
end

function tron_move(dt)
	for d,s in ipairs(tron) do
		if s.mode~=" " and s.mode~="tot" and status=="game" then
			s.x=s.x+math.sin(s.rot)*5
			s.y=s.y-math.cos(s.rot)*5
			if s.x<50 or s.x>1150 or s.y<50 or s.y>750 then
				s.rot=math.atan2(s.y-400,s.x-600)-math.pi/2
			end
			
			if s.mode=="player1" then
				if love.keyboard.isDown("left") then
					s.rot=s.rot-0.1
				end
				if love.keyboard.isDown("right") then
					s.rot=s.rot+0.1
				end
				if love.keyboard.isDown("up") and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*10
					s.y=s.y-math.cos(s.rot)*10
					s.makeneon=s.makeneon-1.5
					s.turbo=s.turbo-1
				end
				if (love.keyboard.isDown("rshift") or love.keyboard.isDown("down")) and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=20
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
			end
			
			if s.mode=="player2" then
				if love.keyboard.isDown("a") then
					s.rot=s.rot-0.1
				end
				if love.keyboard.isDown("d") then
					s.rot=s.rot+0.1
				end
				if love.keyboard.isDown("w") and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*10
					s.y=s.y-math.cos(s.rot)*10
					s.makeneon=s.makeneon-1.5
					s.turbo=s.turbo-1
				end
				if (love.keyboard.isDown("f") or love.keyboard.isDown("s")) and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=10
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
			end
			
			if s.mode=="nightmare" then
				local r=math.random(1,18)
				if r==1 then
					s.richtung=math.random(-5,5)
				end
				if s.richtung<0 then
					s.rot=s.rot+0.07
				end
				if s.richtung>0 then
					s.rot=s.rot-0.07
				end
				local r=math.random(1,35)
				if r==1 and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=10
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
				local r=math.random(1,100)
				if r==1 then s.gasgeben=math.random(10,35) end
				if s.gasgeben>0 and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*10
					s.y=s.y-math.cos(s.rot)*10
					s.makeneon=s.makeneon-1
					s.turbo=s.turbo-1
				end
				if s.shot<5 then s.shot=s.shot+math.floor(math.random(1,13)/10) end
				if s.live<90 then s.live=s.live+math.floor(math.random(1,21)/20) end
			end
			
			if s.mode=="heavy" then
				local r=math.random(1,20)
				if r==1 then
					s.richtung=math.random(-5,5)
				end
				if s.richtung<0 then
					s.rot=s.rot+0.05
				end
				if s.richtung>0 then
					s.rot=s.rot-0.05
				end
				local r=math.random(1,50)
				if r==1 and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=10
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
				local r=math.random(1,200)
				if r==1 then s.gasgeben=math.random(10,35) end
				if s.gasgeben>0 and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*10
					s.y=s.y-math.cos(s.rot)*10
					s.makeneon=s.makeneon-1
					s.turbo=s.turbo-1
				end
			end
			
			if s.mode=="medium" then
				local r=math.random(1,24)
				if r==1 then
					s.richtung=math.random(-5,5)
				end
				if s.richtung<0 then
					s.rot=s.rot+0.05
				end
				if s.richtung>0 then
					s.rot=s.rot-0.05
				end
				local r=math.random(1,90)
				if r==1 and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=10
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
				local r=math.random(1,300)
				if r==1 then s.gasgeben=math.random(8,30) end
				if s.gasgeben>0 and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*10
					s.y=s.y-math.cos(s.rot)*10
					s.makeneon=s.makeneon-1
					s.turbo=s.turbo-1
				end
			end
			
			if s.mode=="easy" then
				local r=math.random(1,32)
				if r==1 then
					s.richtung=math.random(-4,4)
				end
				if s.richtung<0 then
					s.rot=s.rot+0.04
				end
				if s.richtung>0 then
					s.rot=s.rot-0.04
				end
				local r=math.random(1,160)
				if r==1 and s.nl<0 and s.shot>0 then
					makeShot(s.team,s.x,s.y,s.rot)
					s.nl=10
					s.shot=s.shot-5
					laser:rewind()
					laser:play()
					s.shot=s.shot-1
				end
				local r=math.random(1,500)
				if r==1 then s.gasgeben=math.random(8,25) end
				if s.gasgeben>0 and s.turbo>0 then
					s.x=s.x+math.sin(s.rot)*8
					s.y=s.y-math.cos(s.rot)*8
					s.makeneon=s.makeneon-1
					s.turbo=s.turbo-1
				end
			end
			
			if s.mode=="stupid" then
				local r=math.random(1,30)
				if r==1 then
					s.richtung=math.random(-3,3)
				end
				if s.richtung<0 then
					s.rot=s.rot+0.07
				end
				if s.richtung>0 then
					s.rot=s.rot-0.07
				end
			end
			
			s.makeneon=s.makeneon-1
			if s.makeneon<0 then
				makeStrahl(s.team,s.x,s.y,s.rot)
				s.makeneon=3
			end
			
			s:moveTo(s.x,s.y)
			s:setRotation(s.rot)
			
			local r=math.random(1,30)
			if s.live<90 and r==1 then s.live=s.live+math.floor(math.random(20,21)/10) end
			if s.turbo<30 and r==2 then s.turbo=s.turbo+1 end
			s.nl=s.nl-1
			if s.nl<-30 and s.shot<30 then s.shot=s.shot+1 s.nl=-25 end
		end
	end
end

function makeStrahl(team,x,y,rot)
	local pictname="str1"
	if team=="orange" then pictname="str1" end
	if team=="blue" then pictname="str2" end
	if team=="green" then pictname="str3" end
	if team=="yellow" then pictname="str4" end
	sr = pict[pictname]:clone()
	sr.team=team
	sr.time=sl
	sr.maxtime=sl
	sr.x=x
	sr.y=y
	sr.rot=rot
	strahl[#strahl+1] = sr
end

function makeShot(team,x,y,rot)
	local pictname="shot1"
	if team=="orange" then pictname="shot1" end
	if team=="blue" then pictname="shot2" end
	if team=="green" then pictname="shot3" end
	if team=="yellow" then pictname="shot4" end
	sh = pict[pictname]:clone()
	sh.team=team
	sh.time=200
	sh.x=x
	sh.y=y
	sh.rot=rot
	schuss[#schuss+1] = sh
end

function makeStrahlofShot(team,x,y,rot)
	local pictname="str_s_1"
	if team=="orange" then pictname="str_s_1" end
	if team=="blue" then pictname="str_s_2" end
	if team=="green" then pictname="str_s_3" end
	if team=="yellow" then pictname="str_s_4" end
	ss = pict[pictname]:clone()
	ss.team=team
	ss.time=sl
	ss.maxtime=sl
	ss.x=x
	ss.y=y
	ss.rot=rot
	strahl[#strahl+1] = ss
end

function respawn()
	for d,s in ipairs(schuss) do
		s.time=-10
	end
	for d,s in ipairs(strahl) do
		s.time=-10
	end
	for i,a in ipairs(tron) do
		if a.team=="orange" then
			a.x=600
			a.y=100
			a.rot= math.atan2(100-400,600-600)-math.pi/2
			a.gasgeben=0
			a.shot=30
			a.turbo=30
			a.live=90
			a.nl=0
			a.makeneon=0
			a.richtung=1
		end
		if a.team=="blue" then
			a.x=600
			a.y=700
			a.rot= math.atan2(700-400,600-600)-math.pi/2
			a.gasgeben=0
			a.shot=30
			a.turbo=30
			a.live=90
			a.nl=0
			a.makeneon=0
			a.richtung=1
		end
		if a.team=="green" then
			a.x=100
			a.y=400
			a.rot= math.atan2(400-400,100-600)-math.pi/2
			a.gasgeben=0
			a.shot=30
			a.turbo=30
			a.live=90
			a.nl=0
			a.makeneon=0
			a.richtung=1
		end
		if a.team=="yellow" then
			a.x=1000
			a.y=400
			a.rot= math.atan2(400-400,1000-600)-math.pi/2
			a.gasgeben=0
			a.shot=30
			a.turbo=30
			a.live=90
			a.nl=0
			a.makeneon=0
			a.richtung=1
		end
	end
end